package com.yunzhi.nanyang.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Data
@Component
@ConfigurationProperties(prefix = "aliyun")
public class AliyunConfig {
    private String accessKeyId;
    private String accessKeySecret;

    private Oss oss;

//    private Sms sms;

    @Data
    public  static class Oss {
        private String roleSessionName;
        private String accessKeyId;
        private String accessKeySecret;
        private String arn;
        private String region;
        private String endpoint;
        private String bucketName;
        private String bucketURL;
    }

//    @Data
//    public static class Sms {
//        private Captcha captcha;
//    }
//
//    @Data
//    public static class Captcha {
//        private String code;
//        private String sign;
//    }
}
