package com.yunzhi.nanyang.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yunzhi.nanyang.common.BaseController;
import com.yunzhi.nanyang.common.ResponseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import com.yunzhi.nanyang.service.ISysMiniappService;
import com.yunzhi.nanyang.entity.SysMiniapp;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
    * 小程序表 前端控制器
    * </p>
 *
 * @author yansen
 * @since 2022-03-21
 */

@Api(tags = "小程序表")
@RestController
@RequestMapping("/")
public class SysMiniappController extends BaseController {

    private final Logger logger = LoggerFactory.getLogger(SysMiniappController.class);

    @Autowired
    public ISysMiniappService iSysMiniappService;

//
//    /**
//     * 分页查询列表
//     * @param pageNum
//     * @param pageSize
//     * @return
//     */
//    @RequestMapping(value="/sysMiniapp",method= RequestMethod.GET)
//    @ApiOperation(value="列表", notes = "列表", httpMethod = "GET", response = ResponseBean.class)
//    public ResponseBean sysMiniappList(@ApiParam("页码") @RequestParam(value ="pageNum",defaultValue = "1") Integer pageNum,
//									 @ApiParam("单页数据量") @RequestParam(value ="pageSize",defaultValue = "10") Integer pageSize) throws Exception{
//
//		    IPage<SysMiniapp> pg = new Page<>(pageNum, pageSize);
//            QueryWrapper<SysMiniapp> queryWrapper = new QueryWrapper<>();
//            queryWrapper.orderByDesc("create_date");
//
//            IPage<SysMiniapp> result = iSysMiniappService.page(pg, queryWrapper);
//            return ResponseBean.success(result);
//    }
//
//    /**
//     * 保存对象
//     * @param sysMiniapp 实体对象
//     * @return
//     */
//    @RequestMapping(value="/sysMiniapp",method= RequestMethod.POST)
//    @ApiOperation(value="保存", notes = "保存", httpMethod = "POST", response = ResponseBean.class)
//    public ResponseBean sysMiniappAdd(@ApiParam("保存内容") @RequestBody SysMiniapp sysMiniapp) throws Exception{
//
//        if (iSysMiniappService.save(sysMiniapp)){
//            return ResponseBean.success(sysMiniapp);
//        }else {
//            return ResponseBean.error("保存失败, 请重试", ResponseBean.ERROR_UNAVAILABLE);
//        }
//    }
//
//    /**
//     * 根据id删除对象
//     * @param id  实体ID
//     */
//    @RequestMapping(value="/sysMiniapp/{id}", method= RequestMethod.DELETE)
//    @ApiOperation(value="删除", notes = "删除", httpMethod = "DELETE", response = ResponseBean.class)
//    public ResponseBean sysMiniappDelete(@ApiParam("对象ID") @PathVariable Integer id) throws Exception{
//        if(iSysMiniappService.removeById(id)){
//            return ResponseBean.success("success");
//        }else {
//            return ResponseBean.error("删除失败, 请重试", ResponseBean.ERROR_UNAVAILABLE);
//        }
//    }
//
//    /**
//     * 修改对象
//     * @param id  实体ID
//     * @param sysMiniapp 实体对象
//     * @return
//     */
//    @RequestMapping(value="/sysMiniapp/{id}",method= RequestMethod.PUT)
//    @ApiOperation(value="更新", notes = "更新", httpMethod = "PUT", response = ResponseBean.class)
//    public ResponseBean sysMiniappUpdate(@ApiParam("对象ID") @PathVariable Integer id,
//                                        @ApiParam("更新内容") @RequestBody SysMiniapp sysMiniapp) throws Exception{
//
//        if (iSysMiniappService.updateById(sysMiniapp)){
//            return ResponseBean.success(iSysMiniappService.getById(id));
//        }else {
//            return ResponseBean.error("修改失败, 请重试", ResponseBean.ERROR_UNAVAILABLE);
//        }
//    }
//
//    /**
//     * 根据id查询对象
//     * @param id  实体ID
//     */
//    @RequestMapping(value="/sysMiniapp/{id}",method= RequestMethod.GET)
//    @ApiOperation(value="详情", notes = "详情", httpMethod = "GET", response = ResponseBean.class)
//    public ResponseBean sysMiniappGet(@ApiParam("对象ID") @PathVariable Integer id) throws Exception{
//        return ResponseBean.success(iSysMiniappService.getById(id));
//    }
}
