package com.yunzhi.nanyang.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 银行
 * </p>
 *
 * @author yansen
 * @since 2022-04-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TdBank对象", description="银行")
public class TdBank implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "银行ID")
    @TableId(value = "bank_id", type = IdType.INPUT)
    private String bankId;

    @ApiModelProperty(value = "银行编码")
    private String bankCode;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "logo")
    private String logo;

    @ApiModelProperty(value = "颜色1")
    private String color1;

    @ApiModelProperty(value = "颜色2")
    private String color2;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "排序")
    private Integer sortNo;


}
