package com.yunzhi.nanyang.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 农机类型表
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TdMachineryType对象", description="农机类型表")
public class TdMachineryType implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "农机类型Id")
    @TableId(value = "type_id", type = IdType.UUID)
    private String typeId;

    @ApiModelProperty(value = "类型名")
    private String name;

    @ApiModelProperty(value = "纳入大屏统计")
    private Integer screenStatis;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;


}
