package com.yunzhi.nanyang.event;

import com.yunzhi.nanyang.entity.TaOrder;
import com.yunzhi.nanyang.entity.TaWorkJob;
import org.springframework.context.ApplicationEvent;

public class WorkDispatchEvent extends ApplicationEvent {
    private TaWorkJob taWorkJob;
    private TaOrder taOrder;

    public WorkDispatchEvent(Object source, TaWorkJob taDispatch, TaOrder taOrder) {
        super(source);
        this.taWorkJob = taDispatch;
        this.taOrder = taOrder;
    }

    public TaWorkJob getTaWorkJob() { return taWorkJob; }
    public TaOrder getTaOrder() { return taOrder; }
}
