package com.yunzhi.nanyang.event.listener;

import com.yunzhi.nanyang.event.WorkDispatchEvent;
import com.yunzhi.nanyang.service.ITaMessageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationListener;
import org.springframework.stereotype.Component;

@Component
public class WorkDispatchEventListener implements ApplicationListener<WorkDispatchEvent> {
    @Autowired
    ITaMessageService iTaMessageService;

    @Override
    public void onApplicationEvent(WorkDispatchEvent evt) {
        iTaMessageService.sendMessage(evt);
    }
}
