package com.yunzhi.nanyang.event.listener;

import com.yunzhi.nanyang.event.WorkExpiredEvent;
import com.yunzhi.nanyang.service.ITaMessageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationListener;
import org.springframework.stereotype.Component;

@Component
public class WorkExpiredEventListener implements ApplicationListener<WorkExpiredEvent> {
    @Autowired
    ITaMessageService iTaMessageService;

    @Override
    public void onApplicationEvent(WorkExpiredEvent evt) {
        iTaMessageService.sendMessage(evt);
    }
}
