package com.yunzhi.nanyang.mapper;

import com.yunzhi.nanyang.entity.SysUserRole;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 用户角色 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-03-07
 */
@Mapper
public interface SysUserRoleMapper extends BaseMapper<SysUserRole> {

    List<String> getRoleByUser(@Param("userId") String userId);

    List<SysUserRole> listByUser(@Param("userId") String userId);
}
