package com.yunzhi.nanyang.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.nanyang.entity.TaFeedback;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 意见反馈 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
@Mapper
public interface TaFeedbackMapper extends BaseMapper<TaFeedback> {

    IPage<TaFeedback> getPageBy(IPage<TaFeedback> pg, @Param("nickName") String nickName, @Param("phone") String phone);
}
