package com.yunzhi.nanyang.mapper;

import com.yunzhi.nanyang.entity.TaImages;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 图片 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
@Mapper
public interface TaImagesMapper extends BaseMapper<TaImages> {

    List<TaImages> getListBy(@Param("targetType") String targetType, @Param("targetId") String targetId);
}
