package com.yunzhi.nanyang.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yunzhi.nanyang.entity.TaUserMachinery;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 农机绑定 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
@Mapper
public interface TaUserMachineryMapper extends BaseMapper<TaUserMachinery> {

    List<TaUserMachinery> getByUser(@Param("userId") String userId);
}
