package com.yunzhi.nanyang.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.nanyang.entity.TaWithdrawal;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDateTime;

/**
 * <p>
 * 提现表 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
@Mapper
public interface TaWithdrawalMapper extends BaseMapper<TaWithdrawal> {

    IPage<TaWithdrawal> getPageBy(IPage<TaWithdrawal> pg,
                                  @Param("orgId") String orgId,
                                  @Param("startDate") LocalDateTime startDate,
                                  @Param("endDate") LocalDateTime endDate,
                                  @Param("userName") String userName,
                                  @Param("auditStatus") Integer auditStatus);

    Integer getTotalMoney(@Param("orgId") String orgId,@Param("auditStatus") Integer auditStatus);
}
