package com.yunzhi.nanyang.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.nanyang.entity.TaWorkJob;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDateTime;

/**
 * <p>
 * 作业表 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
@Mapper
public interface TaWorkJobMapper extends BaseMapper<TaWorkJob> {

    IPage<TaWorkJob> getPageBy(IPage<TaWorkJob> pg, @Param("userId") String userId);

    TaWorkJob getDetailBy(@Param("id") String id);

    IPage<TaWorkJob> getAdminPageBy(IPage<TaWorkJob> pg,
                                    @Param("orgId") String orgId,
                                    @Param("startDate") LocalDateTime startDate,
                                    @Param("endDate") LocalDateTime endDate,
                                    @Param("status") Integer status,
                                    @Param("orderNo") String orderNo,
                                    @Param("machineryTypeId") String machineryTypeId,
                                    @Param("machineryId") String machineryId,
                                    @Param("workerName") String workerName);
}
