package com.yunzhi.nanyang.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.nanyang.entity.SysUser;

import java.util.Map;

/**
 * <p>
 * 用户表 服务类
 * </p>
 *
 * @author yansen
 * @since 2022-03-07
 */
public interface ISysUserService extends IBaseService<SysUser> {

    Map<String, Object> getUerProfile(String userId, SysUser sysUser) throws Exception;

    SysUser getByLoginId(String loginId);

    IPage<SysUser> getPageBy(IPage<SysUser> pg, String userId, String orgId, String name, String phone);

}
