package com.yunzhi.nanyang.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.nanyang.entity.TaDispatch;
import com.yunzhi.nanyang.entity.TaOrder;
import com.yunzhi.nanyang.entity.TaWorkJob;

import java.time.LocalDateTime;

/**
 * <p>
 * 调度表 服务类
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
public interface ITaDispatchService extends IBaseService<TaDispatch> {

    IPage<TaOrder> getPageBy(IPage<TaOrder> pg, String orgId, String typeId, String machineryId, LocalDateTime start, LocalDateTime end, String phone, String status, Boolean isWarn);

    TaWorkJob createNew(TaDispatch taDispatch, TaOrder taOrder) throws Exception;
}
