package com.yunzhi.nanyang.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.nanyang.entity.SysUser;
import com.yunzhi.nanyang.entity.TaOrder;
import com.yunzhi.nanyang.entity.TaPerson;
import com.yunzhi.nanyang.vo.ChartParam;

import java.util.List;

/**
 * <p>
 * 订单表 服务类
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
public interface ITaOrderService extends IBaseService<TaOrder> {

    String getNextOrderNO();

    IPage<TaOrder> getAdminPage(IPage<TaOrder> pg,
                                String userId,
                                String orgId,
                                String orderNo,
                                String machineryId,
                                String typeId,
                                String personName,
                                String phone,
                                Integer payStatus,
                                Integer dispatchStatus,
                                Integer workStatus,
                                Integer isEvaluated,
                                Boolean isWarn);

    IPage<TaOrder> getClientPage(IPage<TaOrder> pg, TaPerson taPerson, SysUser sysUser, Integer workStatus, String q);

    boolean updateStatus(String orderId, String statusColumn, int statusValue);

    List<TaOrder> checkMachineryDuty(String machineryId, String appointmentDate);

    ChartParam statisTotal();
}
