package com.yunzhi.nanyang.service;

import com.alipay.api.response.AlipayTradeAppPayResponse;
import com.github.binarywang.wxpay.bean.notify.WxPayOrderNotifyV3Result;
import com.github.binarywang.wxpay.bean.notify.WxPayRefundNotifyV3Result;
import com.github.binarywang.wxpay.bean.result.WxPayUnifiedOrderV3Result;
import com.yunzhi.nanyang.entity.TaOrder;
import com.yunzhi.nanyang.entity.TaPay;

import java.util.Map;

public interface ITaPayService extends IBaseService<TaPay> {

    WxPayUnifiedOrderV3Result createWxPay(String client, String clientId, TaOrder taOrder) throws Exception;

    WxPayUnifiedOrderV3Result prePay(TaPay taPay, String client) throws Exception;

    TaPay getByOrderNo(String orderNo);

    void notifyOrder(WxPayOrderNotifyV3Result.DecryptNotifyResult result) throws Exception;

    void refund(String client, String clientId, TaOrder taOrder) throws Exception;

    void refundNotifyOrder(WxPayRefundNotifyV3Result.DecryptNotifyResult result) throws Exception;

    AlipayTradeAppPayResponse createAliPay(String client, String clientId, TaOrder taOrder) throws Exception;

    void notifyOrder(Map<String, String> params) throws Exception;

    void refundNotifyOrder(Map<String, String> params) throws Exception;
}
