package com.yunzhi.nanyang.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.nanyang.entity.TaPerson;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yunzhi.nanyang.vo.ChartParam;

/**
 * <p>
 * 人员表 服务类
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
public interface ITaPersonService extends IBaseService<TaPerson> {

    TaPerson getByOpenId(String appid, String openid);

    void tryBindUser(TaPerson taPerson);

    ChartParam statisTotal();

    TaPerson getByPhone(String clientId, String phone);

    IPage<TaPerson> getPageBy(IPage<TaPerson> pg, String identity, String nickName, String phone);

    boolean unBindUser(String userId) throws Exception;
}
