package com.yunzhi.nanyang.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.nanyang.entity.TaDispatch;
import com.yunzhi.nanyang.entity.TaOrder;
import com.yunzhi.nanyang.entity.TaWorkJob;

import java.time.LocalDateTime;

/**
 * <p>
 * 作业表 服务类
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
public interface ITaWorkJobService extends IBaseService<TaWorkJob> {

    TaWorkJob createByDispatch(TaDispatch taDispatch, TaOrder taOrder) throws Exception;

    IPage<TaWorkJob> getPageBy(IPage<TaWorkJob> pg, String userId);

    TaWorkJob getDetailBy(String id);

    IPage<TaWorkJob> getAdminPageBy(IPage<TaWorkJob> pg, String orgId, LocalDateTime startDate, LocalDateTime endDate, Integer status, String orderNo, String machineryTypeId, String machineryId, String workerName);
}
