package com.yunzhi.nanyang.service.impl;

import com.yunzhi.nanyang.entity.SysMenu;
import com.yunzhi.nanyang.mapper.SysMenuMapper;
import com.yunzhi.nanyang.service.ISysMenuService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 菜单表 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
@Service
public class SysMenuServiceImpl extends BaseServiceImpl<SysMenuMapper, SysMenu> implements ISysMenuService {

    @Override
    public List<SysMenu> listBy(boolean isAdmin, String userId) {
        return baseMapper.listBy(isAdmin, userId);
    }
}
