package com.yunzhi.nanyang.service.impl;

import com.yunzhi.nanyang.entity.SysRolePermission;
import com.yunzhi.nanyang.mapper.SysRolePermissionMapper;
import com.yunzhi.nanyang.service.ISysRolePermissionService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 角色权限 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-03-07
 */
@Service
public class SysRolePermissionServiceImpl extends BaseServiceImpl<SysRolePermissionMapper, SysRolePermission> implements ISysRolePermissionService {

    @Override
    public List<SysRolePermission> listBy(String roleId) {
        return baseMapper.listBy(roleId);
    }

    @Override
    public boolean checkAccess(String userId, String roleId, String permissionId) {
        return baseMapper.countBy(userId, roleId, permissionId) > 0;
    }
}
