package com.yunzhi.nanyang.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.nanyang.entity.TaRegion;
import com.yunzhi.nanyang.mapper.TaRegionMapper;
import com.yunzhi.nanyang.service.ITaRegionService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 归属区域表 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
@Service
public class TaRegionServiceImpl extends BaseServiceImpl<TaRegionMapper, TaRegion> implements ITaRegionService {

    @Override
    public IPage<TaRegion> getPageBy(IPage<TaRegion> pg, String userId, String name) {
        return baseMapper.getPageBy(pg, userId, name);
    }
}
