package com.yunzhi.nanyang.service.impl;

import com.yunzhi.nanyang.entity.TdMachineryType;
import com.yunzhi.nanyang.mapper.TdMachineryTypeMapper;
import com.yunzhi.nanyang.service.ITdMachineryTypeService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yunzhi.nanyang.vo.ChartParam;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 农机类型表 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
@Service
public class TdMachineryTypeServiceImpl extends BaseServiceImpl<TdMachineryTypeMapper, TdMachineryType> implements ITdMachineryTypeService {

    @Override
    public List<ChartParam> statisMachineryNum() {
        return baseMapper.statisMachineryNum();
    }

    @Override
    public List<ChartParam> statisWorkJobNum() {
        return baseMapper.statisWorkJobNum();
    }

    @Override
    public List<ChartParam> statisArea() {
        return baseMapper.statisArea();
    }

    @Override
    public List<TdMachineryType> getTypesOfScreen() {
        return baseMapper.getTypesOfScreen();
    }
}
