package com.yunzhi.nanyang.vo;

import com.yunzhi.nanyang.entity.TaAccountLog;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

@Data
@ApiModel(description = "账户流水")
public class AccountRecord extends TaAccountLog {

    @ApiModelProperty(value = "下单人ID")
    private String personId;

    @ApiModelProperty(value = "下单人名称")
    private String personName;

    @ApiModelProperty(value = "下单人手机")
    private String phone;

    @ApiModelProperty(value = "商品描述")
    private String description;

    @ApiModelProperty(value = "支付时间")
    private LocalDateTime payDate;

    @ApiModelProperty(value = "订单ID")
    private String realOrderId;

    @ApiModelProperty(value = "订单号")
    private String orderNo;

    @ApiModelProperty(value = "支付方式")
    private String payType;
}
