package com.yunzhi.nanyang.common;

public class Constants {
    // 超级管理员ID
    public final static String ADMIN_ID = "1";
    // 平台账户ID
    public final static String SYSTEM_ACC_ID = "system";

    public final static int STATUS_DELETE = -1;
    public final static int STATUS_READY = 0;
    public final static int STATUS_NORMAL = 1;

    // 客户端类型
    public final static String CLIENT_WORKER = "worker";    // 农机手
    public final static String CLIENT_FARMER = "farmer";    // 农户

    // 资源类型
    public final static String TARGET_MACHINERY = "machinery";  // 农机
    public final static String TARGET_NEWS = "news";    // 资讯

    // 账户收支类型
    public final static int ACCOUNT_INCOME = 1; // 收入
    public final static int ACCOUNT_EXPEND = -1; // 支出

    // 账户消费类型
    public final static String ACCOUNT_ORDER_PAY = "order_pay"; // 订单支付
    public final static String ACCOUNT_ORDER_REFUND = "order_refund"; // 订单退款
    public final static String ACCOUNT_WITHDRAW = "withdraw"; // 提现

    // 审批状态
    public final static int AUDIT_READY = 0;    // 待审批
    public final static int AUDIT_AGREE = 1;    // 审批通过
    public final static int AUDIT_DISAGREE = 2;    // 审批不通过

    // 订单状态
    public final static int ORDER_CANCEL = 9;  // 待支付

    // 支付状态
    public final static int PAY_READY = 0;  // 待支付
    public final static int PAY_PAID = 1;  // 已支付
    public final static int PAY_FAIL = 2;  // 支付失败
    public final static int PAY_REFUNDING = 3;  // 退款申请中
    public final static int PAY_PROCESSING = 4;  // 支付中
    public final static int PAY_REFUND = -1;  // 已退款

    // 是否调度
    public final static int DISPATCH_READY = 0; // 待调度
    public final static int DISPATCH_DONE = 1; // 已调度

    // 工作状态
    public final static int WORK_READY = 0;   // 预备中
    public final static int WORK_DOING = 1;   // 工作中
    public final static int WORK_PAUSE = 2;   // 暂停
    public final static int WORK_DONE = 3;   // 已完成

    // 消息类型
    public final static String MESSAGE_SMS = "sms"; // 短信
    public final static String MESSAGE_MINIAPP = "miniapp"; // 小程序

    public final static String MESSAGE_ORDER_NOTIFY = "order_notify";   // 订单通知
    public final static String MESSAGE_ORDER_EXPIRE = "order_expire";   // 订单超时
}
