package com.yunzhi.nanyang.common.alipay;

import java.io.IOException;
import java.nio.ByteBuffer;
import java.nio.channels.FileChannel;
import java.nio.charset.StandardCharsets;
import java.nio.file.Paths;

public class Utils {
    /**
     * 小文件读取, 文件大小不能超过 2M
     * @param f
     * @return
     * @throws IOException
     */
    public static String readFile(String f) throws IOException {
        FileChannel file = FileChannel.open(Paths.get(f));
        int fileSize = (int) file.size();
        ByteBuffer buff = ByteBuffer.allocate(fileSize);
        file.read(buff);
        buff.flip();
        file.close();
        return StandardCharsets.UTF_8.decode(buff).toString();
    }

}
