package com.yunzhi.nanyang.mapper;

import com.yunzhi.nanyang.entity.SysLogin;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 登录表 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-03-07
 */
@Mapper
public interface SysLoginMapper extends BaseMapper<SysLogin> {

    SysLogin getByLogin(@Param("loginType") String loginType, @Param("userName") String userName);
}
