package com.yunzhi.nanyang.mapper;

import com.yunzhi.nanyang.entity.SysMiniapp;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
 * <p>
 * 小程序表 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-03-21
 */
@Mapper
public interface SysMiniappMapper extends BaseMapper<SysMiniapp> {

    @Select("select * from sys_miniapp t where t.client = #{client} and t.`status` = 1")
    SysMiniapp getByClient(@Param("client") String client);
}
