package com.yunzhi.nanyang.mapper;

import com.yunzhi.nanyang.entity.SysPermission;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Set;

/**
 * <p>
 * 权限表 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-03-07
 */
@Mapper
public interface SysPermissionMapper extends BaseMapper<SysPermission> {

    @Select("select permission_id from sys_permission where resource_type = 'data'")
    Set<String> getAllDataPermission();

    List<SysPermission> listBy(@Param("isAdmin") boolean isAdmin, @Param("userId") String userId);
}
