package com.yunzhi.nanyang.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.nanyang.entity.SysRole;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * <p>
 * 角色表 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-03-07
 */
@Mapper
public interface SysRoleMapper extends BaseMapper<SysRole> {

    @Select("select role_id from sys_role")
    List<String> getAllRole();

    IPage<SysRole> getPageBy(IPage<SysRole> pg,
                             @Param("isAdmin") boolean isAdmin,
                             @Param("userId") String userId,
                             @Param("name") String name);
}
