package com.yunzhi.nanyang.mapper;

import com.yunzhi.nanyang.entity.SysRolePermission;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 角色权限 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-03-07
 */
@Mapper
public interface SysRolePermissionMapper extends BaseMapper<SysRolePermission> {

    List<String> getPermissionByUser(@Param("isAdmin") boolean isAdmin,
                                    @Param("userId") String userId);

    List<SysRolePermission> listBy(@Param("roleId") String roleId);

    int countBy(@Param("userId") String userId,
                    @Param("roleId") String roleId,
                    @Param("permissionId") String permissionId);
}
