package com.yunzhi.nanyang.mapper;

import com.yunzhi.nanyang.entity.SysUserDataScope;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 用户数据权限 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
@Mapper
public interface SysUserDataScopeMapper extends BaseMapper<SysUserDataScope> {

    List<String> getAccessOrgs(@Param("userId") String userId);
}
