package com.yunzhi.nanyang.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.nanyang.entity.TaAccountLog;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yunzhi.nanyang.vo.AccountRecord;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDateTime;

/**
 * <p>
 * 流水表 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
@Mapper
public interface TaAccountLogMapper extends BaseMapper<TaAccountLog> {

    IPage<AccountRecord> getPageBy(IPage<AccountRecord> pg,
                                   @Param("orgId") String orgId,
                                   @Param("startDate") LocalDateTime startDate,
                                   @Param("endDate") LocalDateTime endDate,
                                   @Param("orderNo") String orderNo,
                                   @Param("feeType") Integer feeType,
                                   @Param("chargeType") String chargeType);
}
