package com.yunzhi.nanyang.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.nanyang.entity.TaDispatch;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yunzhi.nanyang.entity.TaOrder;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDateTime;

/**
 * <p>
 * 调度表 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
@Mapper
public interface TaDispatchMapper extends BaseMapper<TaDispatch> {

    IPage<TaOrder> getPageBy(IPage<TaOrder> pg,
                             @Param("orgId") String orgId,
                             @Param("typeId") String typeId,
                             @Param("machineryId") String machineryId,
                             @Param("start") LocalDateTime start,
                             @Param("end") LocalDateTime end,
                             @Param("phone") String phone,
                             @Param("status") String status,
                             @Param("isWarn") Boolean isWarn);
}
