package com.yunzhi.nanyang.mapper;

import com.yunzhi.nanyang.entity.TaExtendContent;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * <p>
 * 拓展内容表 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
@Mapper
public interface TaExtendContentMapper extends BaseMapper<TaExtendContent> {

    @Select("SELECT * FROM ta_extend_content t WHERE t.target_type = #{targetType} AND t.target_id = #{targetId} ORDER BY t.sort ASC")
    List<TaExtendContent> getByTarget(@Param("targetType") String targetType, @Param("targetId") String targetId);
}
