package com.yunzhi.nanyang.mapper;

import com.yunzhi.nanyang.entity.TdMachineryType;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yunzhi.nanyang.vo.ChartParam;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * <p>
 * 农机类型表 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
@Mapper
public interface TdMachineryTypeMapper extends BaseMapper<TdMachineryType> {

    List<ChartParam> statisMachineryNum();

    List<ChartParam> statisWorkJobNum();

    List<ChartParam> statisArea();

    List<TdMachineryType> getTypesOfScreen();
}
