package com.yunzhi.nanyang.service;

import com.baomidou.mybatisplus.extension.service.IService;

import java.io.Serializable;

public interface IBaseService<T> extends IService<T> {
    /**
     * 逻辑删除
     * @param id
     * @return
     */
    boolean removeLogicById(Serializable id);

    boolean removeBy(String column, Object value, boolean notDelete);

    boolean canAccessData(Serializable id, String userId);

    boolean remvoeWithDataScope(Serializable id, String userId);

    int countBy(String column, Object value, boolean notDelete);

    T getByButNot(String column, Object value, String col, Object val, boolean notDelete);

    T getExistBy(String column, Object value, boolean normal, boolean notDelete);
}
