package com.yunzhi.nanyang.service;

import com.yunzhi.nanyang.entity.SysUserDataScope;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 用户数据权限 服务类
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
public interface ISysUserDataScopeService extends IBaseService<SysUserDataScope> {
    boolean checkOrgAccess(String orgId, String userId);

    boolean addNew(String orgId, String userId);

    List<String> getAccessOrgs(String userId);
}
