package com.yunzhi.nanyang.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.nanyang.entity.TaAccountLog;
import com.yunzhi.nanyang.vo.AccountRecord;

import java.time.LocalDateTime;

/**
 * <p>
 * 流水表 服务类
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
public interface ITaAccountLogService extends IBaseService<TaAccountLog> {

    IPage<AccountRecord> getPageBy(IPage<AccountRecord> pg, String orgId, LocalDateTime startDate, LocalDateTime endDate, String orderNo, Integer feeType, String chargeType);
}
