package com.yunzhi.nanyang.service;

import com.yunzhi.nanyang.entity.TaAccount;
import com.yunzhi.nanyang.entity.TaWithdrawal;

/**
 * <p>
 * 账户表 服务类
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
public interface ITaAccountService extends IBaseService<TaAccount> {
    TaAccount getUserAccount(String userId) throws Exception;

    boolean checkAmount(String orgId, Integer money, Boolean isIncluded) throws Exception;

    boolean withdraw(TaWithdrawal taWithdrawal) throws Exception;
}
