package com.yunzhi.nanyang.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.nanyang.entity.SysUser;
import com.yunzhi.nanyang.entity.TaMachinery;
import com.yunzhi.nanyang.entity.TaOrg;
import com.yunzhi.nanyang.vo.ChartParam;

import java.util.List;

/**
 * <p>
 * 机构管理 服务类
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
public interface ITaOrgService extends IBaseService<TaOrg> {

    IPage<TaOrg> getPageBy(IPage<TaOrg> pg, SysUser sysUser, String name);

    boolean saveWithDataScope(TaOrg taOrg) throws Exception;

    ChartParam statisTotal();

    int updateNum(String orgId, String fieldName, int increment);

}
