package com.yunzhi.nanyang.service.impl;

import com.yunzhi.nanyang.entity.SysPermission;
import com.yunzhi.nanyang.mapper.SysPermissionMapper;
import com.yunzhi.nanyang.service.ISysPermissionService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 权限表 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-03-07
 */
@Service
public class SysPermissionServiceImpl extends BaseServiceImpl<SysPermissionMapper, SysPermission> implements ISysPermissionService {

    @Override
    public List<SysPermission> listBy(boolean isAdmin, String userId) {
        return baseMapper.listBy(isAdmin, userId);
    }
}
