package com.yunzhi.nanyang.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.nanyang.entity.TaAccountLog;
import com.yunzhi.nanyang.mapper.TaAccountLogMapper;
import com.yunzhi.nanyang.service.ITaAccountLogService;
import com.yunzhi.nanyang.vo.AccountRecord;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;

/**
 * <p>
 * 流水表 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
@Service
public class TaAccountLogServiceImpl extends BaseServiceImpl<TaAccountLogMapper, TaAccountLog> implements ITaAccountLogService {

    @Override
    public IPage<AccountRecord> getPageBy(IPage<AccountRecord> pg, String orgId, LocalDateTime startDate, LocalDateTime endDate, String orderNo, Integer feeType, String chargeType) {
        return baseMapper.getPageBy(pg, orgId, startDate, endDate, orderNo, feeType, chargeType);
    }
}
