package com.yunzhi.nanyang.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel("设备信息")
@Data
public class DeviceSummary {

    @ApiModelProperty(value = "设备ID")
    private String deviceId;

    @ApiModelProperty(value = "通道号")
    private Integer channel;

    @ApiModelProperty(value = "网络类型, 0 内网, 1 电信, 2 移动, 3 联通")
    private Integer netType;
}
