package com.yunzhi.nanyang.vo;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(description = "小程序预加载参数")
@Data
public class WxMaPreload {

    @ApiModelProperty("小程序标识")
    String appid;

    @ApiModelProperty("用户设置的 TOKEN")
    String token;

    @ApiModelProperty("用户登录凭证")
    String code;

    @ApiModelProperty("时间戳，微信客户端发起请求的时间")
    Integer timestamp;

    @ApiModelProperty("打开小程序的路径")
    String path;

    @ApiModelProperty("打开小程序的query")
    String query;

    @ApiModelProperty("打开小程序的场景值")
    Integer scene;
}
